Skip to main content
Server path: /maintainx-assets | Type: Application | PCID required: Yes

Tools


maintainx_assets_create_assetcustomstatuses

Create new asset custom status type Parameters:
ParameterTypeRequiredDefaultDescription
skipWebhookbooleanNoSet skipWebhook=true, skipWebhook=1 or skipWebhook=yes to skip all webhooks upon successful operation on the endpoint. Learn more about webhooks
x-organization-idintegerNoRequired if using a multi organizations token
baseAssetStatusstringYesBase Asset Status
labelstringYesThe label value

maintainx_assets_create_assets

Create new asset Parameters:
ParameterTypeRequiredDefaultDescription
skipWebhookbooleanNoSet skipWebhook=true, skipWebhook=1 or skipWebhook=yes to skip all webhooks upon successful operation on the endpoint. Learn more about webhooks
x-organization-idintegerNoRequired if using a multi organizations token
assetTypesstring[]NoList of asset types
barcodestringNoString encoded barcode
criticalityIdintegerNoID of the criticality of the asset
depreciationobjectNoDepreciation information of the asset
descriptionstringNoThe description value
extraFieldsobjectNoCustom Fields on the entity. The object keys are the exact Custom Field labels, including spaces or special characters. (ie: “My Custom Field”)
locationIdintegerNoID of the location where the asset is located
manufacturerobjectNoManufacturer information for the asset. Set to null to clear manufacturer and model.
modelobjectNoModel information for the asset. Set to null to clear model.
namestringYesThe name value
parentIdintegerNoID of the parent asset
serialNumberstringNoSerial number of the asset
teamIdsinteger[]NoList of teams responsible for the asset
vendorIdsnumber[]NoVendor IDs

maintainx_assets_delete_assetcustomstatuses

Delete asset custom status Parameters:
ParameterTypeRequiredDefaultDescription
idintegerYesID of the assetCustomStatus
skipWebhookbooleanNoSet skipWebhook=true, skipWebhook=1 or skipWebhook=yes to skip all webhooks upon successful operation on the endpoint. Learn more about webhooks

maintainx_assets_delete_assets

Delete asset Parameters:
ParameterTypeRequiredDefaultDescription
idintegerYesID of the asset
skipWebhookbooleanNoSet skipWebhook=true, skipWebhook=1 or skipWebhook=yes to skip all webhooks upon successful operation on the endpoint. Learn more about webhooks

maintainx_assets_delete_attachments

Remove asset attachment Parameters:
ParameterTypeRequiredDefaultDescription
idintegerYesID of the asset.
filenamestringYesName of the attachment, including the extension.
skipWebhookbooleanNoSet skipWebhook=true, skipWebhook=1 or skipWebhook=yes to skip all webhooks upon successful operation on the endpoint. Learn more about webhooks

maintainx_assets_get_assetcriticalities

Get asset criticality Parameters:
ParameterTypeRequiredDefaultDescription
idintegerYesID of the assetCriticality

maintainx_assets_get_assetcustomstatuses

Get asset custom status Parameters:
ParameterTypeRequiredDefaultDescription
idintegerYesID of the assetCustomStatus

maintainx_assets_get_assets

Get asset Parameters:
ParameterTypeRequiredDefaultDescription
idintegerYesID of the asset

maintainx_assets_list_assetcriticalities

List asset criticalities Parameters:
ParameterTypeRequiredDefaultDescription
cursorstringNoLast pagination reference
limitintegerNomax number of Asset Criticalities returned
labelstringNoWill only show asset importances that match the label
levelintegerNoWill only show asset importances that match the level
x-organization-idintegerNoRequired if using a multi organizations token

maintainx_assets_list_assetcustomstatuses

List asset custom statuses Parameters:
ParameterTypeRequiredDefaultDescription
cursorstringNoLast pagination reference
limitintegerNomax number of Asset Custom Statuses returned
x-organization-idintegerNoRequired if using a multi organizations token

maintainx_assets_list_assets

List assets Parameters:
ParameterTypeRequiredDefaultDescription
cursorstringNoLast pagination reference
limitintegerNomax number of Assets returned
locationIdintegerNoWill only show assets that are related to the location
manufacturerstring[]NoFilter assets by their manufacturer name
modelstring[]NoFilter assets by their manufacturer model name
customFieldNamestring[]NoFilter assets by custom field value. Your query parameter should be your custom field name. (ie: To filter by a custom field named “Industry” with the value “Construction”, you would do this “/assets?Industry=Construction”). <br><br>Adding multiple instance of the same custom field act as an <code>OR</code> and adding a different custom field act as an <code>AND</code>. (ie: To filter by a custom field named <code>Industry</code> with the value <code>Construction</code> OR <code>Transportation</code> AND the custom field <code>Manufacturer</code> with the value <code>ACME</code>, you would do this <code>/assets?Industry=Construction&Industry=Transportation&Manufacturer=ACME</code>). <br><br>If your custom field label is the same as a reserved query parameter such as <code>limit</code>, <code>sort</code>, <code>expand</code>, etc, you can add <code>__c</code> to your custom field filtering (ie: To filter by a custom field named <code>limit</code> with the value <code>ten</code>, you would do this <code>/assets?limit__c=ten</code>). <br><br>Note that your custom field needs to be created beforehand. Only number and single line text custom field types are supported.
expandstring[]NoTo expand multiple fields: expand=barcode&expand=team_ids
x-organization-idintegerNoRequired if using a multi organizations token
x-organization-idsstringNoRequired if using a multi organizations token and doing an operation on resources from multiple organizations. This is mutually exclusive with the x-organization-id header (use one or the other).

maintainx_assets_list_assetstatuses

List asset statuses Parameters:
ParameterTypeRequiredDefaultDescription
cursorstringNoLast pagination reference
limitintegerNomax number of Asset Statuses returned
assetIdinteger[]NoTo filter by multiple assetId IDs: assetIds=630
sortstringNoAttribute on which to sort the list. (for descending order, prefix attribute with ’-’). The default sorting key is : created_at and direction descending
x-organization-idintegerNoRequired if using a multi organizations token

maintainx_assets_update_assetcustomstatuses

Update asset custom status Parameters:
ParameterTypeRequiredDefaultDescription
idintegerYesID of the assetCustomStatus
skipWebhookbooleanNoSet skipWebhook=true, skipWebhook=1 or skipWebhook=yes to skip all webhooks upon successful operation on the endpoint. Learn more about webhooks
x-organization-idintegerNoRequired if using a multi organizations token
labelstringNoThe label value

maintainx_assets_update_assets

Update asset Parameters:
ParameterTypeRequiredDefaultDescription
idintegerYesID of the asset
skipWebhookbooleanNoSet skipWebhook=true, skipWebhook=1 or skipWebhook=yes to skip all webhooks upon successful operation on the endpoint. Learn more about webhooks
assetTypesstring[]NoList of asset types
barcodestringNoString encoded barcode
criticalityIdintegerNoID of the criticality of the asset
depreciationobjectNoDepreciation information of the asset
descriptionstringNoThe description value
extraFieldsobjectNoCustom Fields on the entity. The object keys are the exact Custom Field labels, including spaces or special characters. (ie: “My Custom Field”)
locationIdintegerNoID of the location where the asset is located
manufacturerobjectNoManufacturer information for the asset. Set to null to clear manufacturer and model.
modelobjectNoModel information for the asset. Set to null to clear model.
namestringNoThe name value
parentIdintegerNoID of the parent asset
serialNumberstringNoSerial number of the asset
teamIdsinteger[]NoList of teams responsible for the asset
vendorIdsnumber[]NoVendor IDs

maintainx_assets_update_assets_status

Create a new asset status Parameters:
ParameterTypeRequiredDefaultDescription
assetIdintegerYesID of the asset
skipWebhookbooleanNoSet skipWebhook=true, skipWebhook=1 or skipWebhook=yes to skip all webhooks upon successful operation on the endpoint. Learn more about webhooks
x-organization-idintegerNoRequired if using a multi organizations token
customStatusIdnumberNoId of the custom status assigned to asset.
descriptionstringNoThe description value
downtimeTypestringNoDowntime Type
endedAtstringNoAsset status effective end date.
startedAtstringNoAsset status effective start date.
statusstringNoAsset status value.

maintainx_assets_update_assetstatuses

Update asset status Parameters:
ParameterTypeRequiredDefaultDescription
idintegerYesID of the asset status
skipWebhookbooleanNoSet skipWebhook=true, skipWebhook=1 or skipWebhook=yes to skip all webhooks upon successful operation on the endpoint. Learn more about webhooks
x-organization-idintegerNoRequired if using a multi organizations token
customStatusIdnumberNoId of the custom status assigned to asset.
descriptionstringNoThe description value
downtimeTypestringNoDowntime Type
endedAtstringNoAsset status effective end date.
startedAtstringNoAsset status effective start date.
statusstringNoAsset status value.

maintainx_assets_upload_assets_attachments

Update asset attachment Parameters:
ParameterTypeRequiredDefaultDescription
idintegerYesID of the asset.
filenamestringYesName of the attachment, including the extension.
skipWebhookbooleanNoSet skipWebhook=true, skipWebhook=1 or skipWebhook=yes to skip all webhooks upon successful operation on the endpoint. Learn more about webhooks
bodyobjectYesContent type should be application/octet-stream and payload should use binary format for the attachment.

maintainx_assets_upload_assets_thumbnail

Update asset’s thumbnail Parameters:
ParameterTypeRequiredDefaultDescription
idintegerYesID of the asset.
filenamestringYesName of the asset thumbnail, including the extension.
skipWebhookbooleanNoSet skipWebhook=true, skipWebhook=1 or skipWebhook=yes to skip all webhooks upon successful operation on the endpoint. Learn more about webhooks
bodyobjectYesContent type should be application/octet-stream and payload should use binary format for the thumbnail.